Subject: Re: bug#13690: 24.3.50; scroll-conservatively and Info-up

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Feb 2013 07:12:38 +0200

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 14 Feb 2013 00:18:30 +0100
> 
> >   . scroll-conservatively being non-nil
> 
> I think you mean non-zero, since only integer values are admissible.
> But when scroll-conservatively is zero, recentering happens anyway, so I
> don't see the point of adding this condition.  Or is there a problem is
> if recentering happens twice (once directly from the display engine and
> once by explicitly calling recenter)?  I don't notice any problem.

Why recenter twice?  It's a waste of cycles.

> >   . perhaps also scroll-margin being zero, because otherwise you get
> >     several lines of context before point
> 
> I tested scroll-margin and found no difference in the behavior of Info-up
> whether it is zero or non-zero; do you see something different?

Do you have the latest trunk?  If so, you should see a difference:
when scroll-margin is N, typing 'u' puts the line with cursor N+1
lines from the top.